Get organisation details and settings
GET
https://app.speybooks.com/api/v1/organisation/Returns the full organisation record including profile fields, operational settings, and invoice/quote numbering configuration. The settings object merges data from the organisations.settings JSONB column and the settings key-value table.
The address is returned as a nested object for display convenience.
Response
200 Returns full organisation profile, address, VAT settings, invoice settings, and quote settings.
Show response fields
address objectShow child attributes
city stringcountry stringline1 stringline2 string nullablepostalCode stringregion stringbusinessType stringcompanyNumber string nullablecreatedAt string date-timeemail stringid stringinvoiceSettings objectShow child attributes
defaultNotes stringdefaultTerms stringnextNumber integerprefix stringname stringphone string nullablequoteSettings objectShow child attributes
defaultNotes stringdefaultTerms stringnextNumber integerprefix stringvalidityDays integersettings objectShow child attributes
currency stringfiscalYearStart stringvatFlatRatePercent string nullablevatRegistered booleanvatScheme stringslug stringupdatedAt string date-timevatNumber string nullablewebsite string nullableError codes
404 Organisation not found.